<?php $this->description();?>

class <?php echo $this->controllerClass; ?> extends <?php echo $this->baseControllerClass; ?>

{
    /**
     * action路径前缀
     */
	protected $actionPrefix = '<?php echo $this->getModuleName();?>.controllers.<?php echo $this->getControllerID();?>.';

    /**
     * action对应表
     */
    protected $actionMap = array(
        'list' => 'ListAction',
        'create' => 'CreateAction',
        'update' => 'UpdateAction',
        'delete' => 'DeleteAction',
        'view' => 'ViewAction',
    );

	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax'] === '<?php echo $this->class2id($this->modelClass);?>-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
}